#!/bin/bash
ADDON_MODULE_BASE_PATH="/opt/Dell/ASM/modules"

ADDON_MODULE_NAME="$1"

if [ $# -ne 1 ]; then
    echo "Proper usage is ./add_on_module_remove.sh [ADDON_MODULE_NAME]" >&2
    exit 1
fi

if [ ! -d "$ADDON_MODULE_BASE_PATH" ]; then
    echo "Could not find add on module base dir $ADDON_MODULE_BASE_PATH" >&2
    exit 1
fi

ADDON_MODULE_PATH="$ADDON_MODULE_BASE_PATH/$ADDON_MODULE_NAME"
if [ ! -d "$ADDON_MODULE_PATH" ]; then 
    echo "Could not find add on module dir $ADDON_MODULE_PATH" >&2
    exit 2
fi

rm -Rf "$ADDON_MODULE_PATH"
exit 0
