#!/bin/bash -xv

# applicationConfigureVM.sh is installed and runs at the end of the application rpm installation phase.
#Update sudoers for tomcat user
date
echo 'update sudoers'
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/bin/yum' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/bin/yum'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=(postgres)NOPASSWD:*/usr/bin/dropdb' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=(postgres)NOPASSWD:/usr/bin/dropdb'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=(postgres)NOPASSWD:*/usr/bin/pg_restore' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=(postgres)NOPASSWD:/usr/bin/pg_restore'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/sbin/reboot' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/sbin/reboot'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/sbin/shutdown' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/sbin/shutdown'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/sbin/service' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/sbin/service'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/sbin/chkconfig' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/sbin/chkconfig'>>/etc/sudoers; fi;
#if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/sbin/vmtoolsd' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/sbin/vmware-guestd'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/sbin/vmtoolsd' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/sbin/vmtoolsd'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/bin/zip' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/bin/zip'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/bin/chmod' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/bin/chmod'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/bin/openssl' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/bin/openssl'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/sbin/timezone_config.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/sbin/timezone_config.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/opt/Dell/scripts/encrypt.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/opt/Dell/scripts/encrypt.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/sbin/timezone_restore.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/sbin/timezone_restore.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/sbin/link_timezone.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/sbin/link_timezone.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/sbin/ntpsetting_config.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/sbin/ntpsetting_config.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/sbin/ntp_setting_ticker_config.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/sbin/ntp_setting_ticker_config.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/sbin/importCustomerCert.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/sbin/importCustomerCert.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/usr/sbin/importCert.exp' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/usr/sbin/importCert.exp'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/opt/Dell/scripts/backup-puppet.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/opt/Dell/scripts/backup-puppet.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/opt/Dell/scripts/backup-clean.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/opt/Dell/scripts/backup-clean.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/opt/Dell/scripts/restore-clean.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/opt/Dell/scripts/restore-clean.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/opt/Dell/scripts/restore-puppet.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/opt/Dell/scripts/restore-puppet.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/var/tmp/encrypt-puppet.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/var/tmp/encrypt-puppet.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/var/tmp/zipLogs.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/var/tmp/zipLogs.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/opt/puppet/bin/puppet' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/opt/puppet/bin/puppet'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/opt/Dell/scripts/getPuppetModuleDetails.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/opt/Dell/scripts/getPuppetModuleDetails.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=NOPASSWD:*/opt/Dell/scripts/razor-repo-helper.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=NOPASSWD:/opt/Dell/scripts/razor-repo-helper.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=(nobody)NOPASSWD:*/opt/Dell/scripts/add_on_module_create.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=(nobody)NOPASSWD:/opt/Dell/scripts/add_on_module_create.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%tomcat ALL=(nobody)NOPASSWD:*/opt/Dell/scripts/add_on_module_remove.sh' /etc/sudoers) -eq 0 ]; then echo '%tomcat ALL=(nobody)NOPASSWD:/opt/Dell/scripts/add_on_module_remove.sh'>>/etc/sudoers; fi;
if [ $(grep -c '%razor ALL=NOPASSWD:*/opt/puppet/bin/puppet' /etc/sudoers) -eq 0 ]; then echo '%razor ALL=NOPASSWD:/opt/puppet/bin/puppet'>>/etc/sudoers; fi;
if [ $(grep -c '%razor ALL=NOPASSWD:*/opt/Dell/scripts/rm-device-ssl.sh' /etc/sudoers) -eq 0 ]; then echo '%razor ALL=NOPASSWD:/opt/Dell/scripts/rm-device-ssl.sh'>>/etc/sudoers; fi;

# Add /opt/puppet/bin to the secure_path or those commands will not be available when run under sudo
sed -i -e 's,secure_path = /sbin:/bin:/usr/sbin:/usr/bin,secure_path = /sbin:/bin:/usr/sbin:/usr/bin:/opt/puppet/bin,' /etc/sudoers

# Setup nfs share
date
echo 'setup nfs share'
mkdir -p /var/nfs
chmod 755 /var/nfs
if [ $(grep -c 'STATD_PORT=4001' /etc/sysconfig/nfs) -eq 0 ]; then echo 'STATD_PORT=4001' >>/etc/sysconfig/nfs; fi;
if [ $(grep -c 'LOCKD_TCPPORT=4002' /etc/sysconfig/nfs) -eq 0 ]; then echo 'LOCKD_TCPPORT=4002' >>/etc/sysconfig/nfs; fi;
if [ $(grep -c 'LOCKD_UDPPORT=4002' /etc/sysconfig/nfs) -eq 0 ]; then echo 'LOCKD_UDPPORT=4002' >>/etc/sysconfig/nfs; fi;
if [ $(grep -c 'MOUNTD_PORT=4003' /etc/sysconfig/nfs) -eq 0 ]; then echo 'MOUNTD_PORT=4003' >>/etc/sysconfig/nfs; fi;
# Ensure the correct nfs exports are set
if [ $(grep -c '/var/nfs        \*(rw,sync,no_subtree_check)' /etc/exports) -eq 0 ]; then echo '/var/nfs        *(rw,sync,no_subtree_check)' >>/etc/exports; fi;
sed -i.bak -e "s=/var/nfs        [*][(]ro,sync,no_subtree_check[)]==" /etc/exports

chkconfig rpcbind on
chkconfig nfslock on
chkconfig smb on
chkconfig nmb on
chkconfig postfix on

cd /var
date
if [ ! -f /etc/samba/smb.conf ] || [ $(grep -c '/var/lib/razor/repo-store' /etc/samba/smb.conf) -eq 0 ]
then
   # these changes are applied as part of 7.5.0 build 1628 and only need to be applied once.

    find nfs -exec chgrp nobody {} \;
    find nfs -exec chmod 755 {} \;
    find nfs -exec chown tomcat {} \;
    echo '/var/nfs        *(rw,sync,no_subtree_check)' >/etc/exports
    echo tomcat ALL=NOPASSWD: /bin/mount, /bin/umount>>/etc/sudoers

    echo '[global]'                                        >/etc/samba/smb.conf
    echo 'security = share'                               >>/etc/samba/smb.conf
    echo '        workgroup = MYGROUP'                    >>/etc/samba/smb.conf
    echo '        server string = Samba Server Version %v'>>/etc/samba/smb.conf
    echo '        hosts allow = *'                        >>/etc/samba/smb.conf
    echo '        log file = /var/log/samba/log.%m'       >>/etc/samba/smb.conf
    echo '        max log size = 50'                      >>/etc/samba/smb.conf
    echo '        load printers = yes'                    >>/etc/samba/smb.conf
    echo '        cups options = raw'                     >>/etc/samba/smb.conf
    echo '[homes]'                                        >>/etc/samba/smb.conf
    echo '        comment = Home Directories'             >>/etc/samba/smb.conf
    echo '        browseable = no'                        >>/etc/samba/smb.conf
    echo '        writable = yes'                         >>/etc/samba/smb.conf
    echo '[razor]'                                        >>/etc/samba/smb.conf
    echo '  comment   = Windows Installers'               >>/etc/samba/smb.conf
    echo '  path      = /var/lib/razor/repo-store'        >>/etc/samba/smb.conf
    echo '  public = yes'                                 >>/etc/samba/smb.conf
    echo '  writable  = no'                               >>/etc/samba/smb.conf
    echo '  browsable = yes'                              >>/etc/samba/smb.conf
    echo '  read only = yes'                              >>/etc/samba/smb.conf


    date
    echo 'configure firewall'
    /usr/sbin/lokkit -q -p 111:tcp --update
    /usr/sbin/lokkit -q -p 111:udp --update
    /usr/sbin/lokkit -q -p 2049:udp --update
    /usr/sbin/lokkit -q -p 2049:tcp --update
    /usr/sbin/lokkit -q -p 4045:udp --update
    /usr/sbin/lokkit -q -p 4045:tcp --update
    /usr/sbin/lokkit -q -p 4001:tcp --update
    /usr/sbin/lokkit -q -p 4001:udp --update
    /usr/sbin/lokkit -q -p 4002:tcp --update
    /usr/sbin/lokkit -q -p 4002:udp --update
    /usr/sbin/lokkit -q -p 4003:tcp --update
    /usr/sbin/lokkit -q -p 4003:udp --update
    /usr/sbin/lokkit -q -p 4004:tcp --update
    /usr/sbin/lokkit -q -p 4004:udp --update

    # related to samba
    /usr/sbin/lokkit -q -p 137:udp --update
    /usr/sbin/lokkit -q -p 138:udp --update
    /usr/sbin/lokkit -q -p 139:tcp --update
    /usr/sbin/lokkit -q -p 445:tcp --update

    # open up puppet ports
    /usr/sbin/lokkit -q -p 61616:udp --update
    /usr/sbin/lokkit -q -p 61616:tcp --update
    /usr/sbin/lokkit -q -p 61613:udp --update
    /usr/sbin/lokkit -q -p 61613:tcp --update
    /usr/sbin/lokkit -q -p 8140:udp --update
    /usr/sbin/lokkit -q -p 8140:tcp --update
    /usr/sbin/lokkit -q -p 8080:udp --update
    /usr/sbin/lokkit -q -p 8080:tcp --update
    #/usr/sbin/lokkit -q -p 8081:udp --update
    #/usr/sbin/lokkit -q -p 8081:tcp --update
    /usr/sbin/lokkit -q -p 8082:udp --update
    /usr/sbin/lokkit -q -p 8082:tcp --update
    /usr/sbin/lokkit -q -p 8161:udp --update
    /usr/sbin/lokkit -q -p 8161:tcp --update
    /usr/sbin/lokkit -q -p 3000:udp --update
    /usr/sbin/lokkit -q -p 3000:tcp --update


    # set owner of tftp root to tomcat
    /bin/chown -R tomcat.tomcat /var/lib/tftpboot
    # open tftp port for udp traffic
    echo "=================================================="
    echo "= iptables before opening port 69 using lokkit   ="
    echo "=================================================="
    /sbin/iptables --list
    /usr/sbin/lokkit -p 69:udp --update
    echo "=================================================="
    echo "= iptables after opening port 69 using lokkit    ="
    echo "=================================================="
    /sbin/iptables --list
    # turn on nfs, tftp services when appliance boots, autofs need to be on to support import OS repo
    date
    echo 'turn on tftp, autofs and nfs at boot, turn off atd'
    /sbin/chkconfig --level 345 tftp on
    /sbin/chkconfig --level 345 nfs on
    /sbin/chkconfig --level 345 autofs on
    /sbin/chkconfig --level 345 atd off
    /sbin/chkconfig

    # open ntpd port for udp traffic
    /usr/sbin/lokkit --custom-rules /opt/Dell/scripts/lokkit-custom-rules --update -v
    echo "=================================================="
    echo "= iptables after opening ntp port                ="
    echo "=================================================="
    # redirect snmp traffic on privileged 162 port to unprivileged 11620 port where it can be
    # consumed by the tomcat user from a webapp
    /usr/sbin/lokkit --custom-rules=ipv4:nat:/opt/Dell/scripts/lokkit-custom-rules-nat --update -v
    /sbin/iptables --list -n
    /sbin/iptables -L -vt nat -n

    # snmp configuration
    date
    echo 'snmp configuration (disabled)'
    # Disabling SNMP services until such time as ASM may need them. Snmpd was
    # reported as a medium information disclosure vulnerability by the NCC audit.
#    /usr/sbin/lokkit -q -p 161:tcp --update
#    /usr/sbin/lokkit -q -p 161:udp --update
#    /usr/sbin/lokkit -q -p 162:tcp --update
#    /usr/sbin/lokkit -q -p 16 vczx2:udp --update
    /sbin/chkconfig snmpd off
    /sbin/chkconfig snmptrapd off
    cd /etc/snmp
    patch </opt/Dell/scripts/snmpd.conf.patch

    # Disable nagios web admin console, per NCC security audit
    # Check if there are un-commented <Directory> entries in the nagios.conf
    if ! grep '<Directory' /etc/httpd/conf.d/nagios.conf | grep -e '^#' > /dev/null; then
        # Prepend comment
        sed -i '1s/^/# DISABLED BY Dell-ASM-ApplicationConfigureVM\n\n/' /etc/httpd/conf.d/nagios.conf

        # Comment out all lines
        sed -i 's/^\(.\)/#\1/g' /etc/httpd/conf.d/nagios.conf

        service httpd reload
    fi

    # set clock to UTC
    if [ -f /etc/sysconfig/clock ]
    then
      echo 'not changing clock config, as it already exists'
    else
      echo 'UTC=true'>/etc/sysconfig/clock
      echo 'ZONE="UTC"'>>/etc/sysconfig/clock
      cp /usr/share/zoneinfo/UTC /etc/localtime
      /sbin/hwclock --systohc --utc
      echo 'changed clock to UTC'
    fi

    date
    echo 'use semanage to allow http traffic to and between certain ports'
    # tell selinux that it is ok for httpd to use port 8010
    semanage port -a -t http_port_t -p tcp 8010
    # port 9010 was previously assigned in i18n port type. adding to http_port_t
    semanage port -m -t http_port_t -p tcp 9010
    # port 9080 was previously assigned ocsp port type. adding to http_port_t
    semanage port -m -t http_port_t -p tcp 9080
    semanage port -a -t http_port_t -p tcp 61616
    semanage port -a -t http_port_t -p tcp 61613
    # 8140 is already listed as puppet_port_t, adding to http_port_t
    semanage port -m -t http_port_t -p tcp 8140
    # 8080 is already listed as http_cache_port_t, adding to http_port_t
    semanage port -m -t http_port_t -p tcp 8080
    # 8081 is already listed as transproxy_port_t, adding to http_port_t
    semanage port -m -t http_port_t -p tcp 8081
    semanage port -a -t http_port_t -p tcp 8082
    semanage port -a -t http_port_t -p tcp 8161
    # 3000 is already listed as ntop_port_t, adding to http_port_t
    semanage port -m -t http_port_t -p tcp 3000
    semanage port -a -t http_port_t -p tcp 7080
    semanage port -a -t http_port_t -p tcp 7081

    #/etc/modprobe.d/appliance.conf file has a line 'install udf /bin/true'
    #For security purposes that line was added to limit the filesystems enabled in the appliance.
    #Removing that line, will let udf module to be loaded and the your mount command will work.
    #while mouting the ISO, run mount -t udf -o loop /var/lib/razor/repo-store/en_windows_server_2012_x64_dvd_915478.iso /tmp/mnt
    sed -i '/udf/d' /etc/modprobe.d/appliance.conf

    #Fix the ruby plugin for vim
    echo 'set shell=/bin/sh' >> /etc/vimrc
fi

# Add block for dell_app_init ASM config
if [ -f /usr/sbin/init_shell ]; then
    # point dell_app_init console menu to the EULA
    # if [ -f /etc/dell_app_init/dell_app_init.conf ]
    #then
    #  sed -i 's:eula_text_filename = .*EULA:eula_text_filename = /opt/Dell/EULA:g' /etc/dell_app_init/dell_app_init.conf
    #  sed -i 's:#eula_input_version_file =:eula_input_version_file = /opt/Dell/eula_version:' /etc/dell_app_init/dell_app_init.conf
    #fi

    echo "... Configure dell_app_init package per ASM needs "
    if [ -f /opt/Dell/scripts/dell_app_init.conf ]; then
      mkdir -p /etc/dell_app_init/conf.d
      cp -fp /opt/Dell/scripts/dell_app_init.conf /etc/dell_app_init/conf.d/
    fi

    if [ -f /opt/Dell/scripts/asm_init_shell ]; then
      cp -fp /opt/Dell/scripts/asm_init_shell /usr/sbin/
      cp -fp /opt/Dell/scripts/asm_setpass /usr/sbin/
      cp -fp /opt/Dell/scripts/asm_chgpass.exp /usr/sbin/
      cp -fp /opt/Dell/scripts/asm_chkpass.exp /usr/sbin/
      cp -fp /opt/Dell/scripts/sync_step-tickers /usr/sbin/
    fi

    if [ -f /opt/Dell/scripts/asm_single_run ]; then
      cp -fp /opt/Dell/scripts/asm_single_run /usr/sbin/
    fi

    if [ -f /usr/share/dell_app_init/dell_app_init.py ]; then
      chmod u+x /usr/share/dell_app_init/dell_app_init.py
    fi

    # Added below for init_shell UI to run
    egrep "/usr/share/dell_app_init/dell_app_init.py" /etc/sudoers && echo ".." || echo delladmin ALL=NOPASSWD: /usr/share/dell_app_init/dell_app_init.py >>/etc/sudoers

    mkdir -p ~delladmin/.dell_app
    touch ~delladmin/.dell_app/asm_motd.sh && chown -R delladmin:wheel ~delladmin/.dell_app
    [ -f /etc/profile.d/asm_motd.sh ] && rm -f /etc/profile.d/asm_motd.sh
    ln -s ~delladmin/.dell_app/asm_motd.sh /etc/profile.d/asm_motd.sh

fi

# Older builds installed the python paramiko library from source, which conflicts
# with the CentOS rpm version which is needed by Nagios NRPE rpms. So the paramiko
# library is now installed form rpm and we have to remove the old one here
rm -rf /usr/lib/python2.6/site-packages/paramiko-1.7.7.1-py2.6.egg/

# Increase overall number of Threads available to Users on the OS (root is unlimited, but Users are limited to 1024 by default)
sed -i -e s/1024/8192/ /etc/security/limits.d/90-nproc.conf

# ASM-3604 Increase heap size for pe-puppetdb
sed -i -e 's/Xmx192m/Xmx512m/' /etc/sysconfig/pe-puppetdb

# Configure pe-puppetdb to use Oracle JDK rather than pe-java
sed -i -e s,/opt/puppet/bin/java,/opt/java/bin/java, /etc/sysconfig/pe-puppetdb

# 2016-01-26 Revert this for now: Reset the system default umask to 077 per security requirement
# sed -i -e '/^[ ]*umask 0[2|0]2$/ s/0[2|0]2/077/' /etc/profile

# Increase the password strenth settings in /etc/pam.d/system-auth
session_match="session[ \t]*required[ \t]*pam_limits.so"
pass_reqs="password    required     pam_cracklib.so difok=4 try_first_pass retry=3 minlen=14 dcredit=-1 ucredit=-1 ocredit=-1 lcredit=-1"
session_add="session     required     pam_lastlog.so showfailed"
sed -i -e "/^password[ \t]*required[ \t]*pam_cracklib[.]so.*$/ s/^password.*$/$pass_reqs/" /etc/pam.d/system-auth

if ! i=$(grep -e "$session_add" /etc/pam.d/system-auth); then
   sed -i -e "/^$session_match$/ s/$/\n$session_add/" /etc/pam.d/system-auth
fi

#pass_auth_match="auth required pam_tally2.so deny=5 onerr=fail"
sed -i -e "/^auth[ \t]*required[ \t]*pam_tally2[.]so[ ]deny.*$/ s/deny.*/deny=3 unlock_time=300 onerr=fail fail_interval=900 audit/" /etc/pam.d/system-auth
sed -i -e "/auth[ \t]*required[ \t]*pam_tally2[.]so[ ]deny.*$/ s/^.*/auth required   pam_tally2.so deny=3 unlock_time=300 onerr=fail fail_interval=900 audit/" /etc/pam.d/password-auth

# Make change to /etc/login.defs file
sed -i -e '/^PASS_MIN_LEN.*$/ s/[0-9].*/14/' /etc/login.defs
sed -i -e '/^PASS_MIN_DAYS.*$/ s/[0-9].*/1/' /etc/login.defs

## The following section will execute commands to set gdm desktop securities
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type int --set /apps/gnome-screensaver/idle_delay 15
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type bool --set /apps/gnome-screensaver/idle_activation_enabled true
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type bool --set /apps/gnome-screensaver/lock_enabled true
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type string --set /apps/gnome-screensaver/mode blank-only
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type bool --set /apps/gdm/simple-greeter/banner_message_enable true

## Following section we will insert rules to /etc/audit/audit.rules for auditing dynamic kernel
section="might want to watch module insertion"

if ! i=$(grep -e '^-w /sbin/insmod -p x -k modules' /etc/audit/audit.rules); then
   sed -i -e "/$section/ s/$/\n-w \/sbin\/insmod -p x -k modules/" /etc/audit/audit.rules
fi

if ! i=$(grep -e '^-w /sbin/rmmod -p x -k modules' /etc/audit/audit.rules); then
   sed -i -e "/$section/ s/$/\n-w \/sbin\/rmmod -p x -k modules/" /etc/audit/audit.rules
fi

if ! i=$(grep -e '^-w /sbin/modprobe -p x -k modules' /etc/audit/audit.rules); then
   sed -i -e "/$section/ s/$/\n-w \/sbin\/modprobe -p x -k modules/" /etc/audit/audit.rules
fi

if ! i=$(grep -e '^-a always,exit -F arch=b64 -S init_module -S delete_module -k modules' /etc/audit/audit.rules); then
   sed -i -e "/$section/ s/$/\n-a always,exit -F arch=b64 -S init_module -S delete_module -k modules/" /etc/audit/audit.rules
fi

# Symlink razor logs folder for easy access
ln -sfn "/opt/jruby-1.7.8/lib/ruby/gems/shared/gems/torquebox-server-3.0.2-java/jboss/standalone/log" /var/log/razor/old

# ASM-6340 Patch VMware 5.1 Perl SDK to support HostSriovInfo
if ! grep HostSriovInfo /usr/share/perl5/VMware/VIM25Stub.pm > /dev/null; then
  cd /usr/share/perl5/VMware
  patch --backup < /opt/Dell/scripts/VIM25Stub.patch
fi
